## mars.venus
Class HardcopyWriter.PrintCanceledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mars.venus.HardcopyWriter.PrintCanceledException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HardcopyWriter

    public static class HardcopyWriter.PrintCanceledException

extends Exception

This is the exception class that the HardcopyWriter constructor throws when the user clicks "Cancel" in the print dialog box.

See Also:
  Serialized Form

Constructor Summary
`HardcopyWriter.PrintCanceledException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HardcopyWriter.PrintCanceledException

    public HardcopyWriter.PrintCanceledException(String msg)